This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 249772 - Unable to suspend owing to wireless driver
Unable to suspend owing to wireless driver
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-26 17:38 EDT by Adam Huffman
Modified: 2008-01-23 10:44 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.23.9-85.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-23 06:27:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Adam Huffman 2007-07-26 17:38:40 EDT
Description of problem:
This may be more of a kernel problem - not sure.  In any case, sometimes in
recent attempts to suspend to RAM the laptop gets stuck, showing messages like this:

unregister_netdevice: waiting for wlan0 to become free. Usage count = 1

This happens with kernel 2.6.22.1-27.fc7 and with the -33 kernel.

Version-Release number of selected component (if applicable):
gnome-power-manager-2.18.3-1.fc7

How reproducible:
Sometimes

Steps to Reproduce:
1. Suspend to RAM
2.
3.
  
Actual results:

Suspend process does not complete

Expected results:

Suspend process should be completed

Additional info:

Hardware profile is at
http://smolt.fedoraproject.org/show?UUID=50e550b8-d9bc-4262-b41f-75b41faf7e0c
Comment 1 Christopher Brown 2007-09-21 07:30:18 EDT
Hello Adam,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel? If you are, please could
you attach an lspci -vvxxx output as well as dmesg output to this bug.

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Cheers
Chris
Comment 2 Adam Huffman 2007-09-21 14:42:47 EDT
Hello

This machine is running rawhide now.  Suspend not working as of today, but I'll
report that separately.

Adam
Comment 3 Christopher Brown 2007-09-21 19:32:26 EDT
Please could you post back the output from:

# lspci -vvxxx
# lsmod

You may wish to also try rmmod'ing the wireless module in question and see
whether your machine is able to suspend successfully then.

Cheers
Chris
Comment 4 Christopher Brown 2008-01-09 12:31:06 EST
Hello Adam,

Whats the latest on this? You might want to have a look at:

http://fedoraproject.org/wiki/KernelCommonProblems

which may be of some help...
Comment 5 Adam Huffman 2008-01-23 06:27:43 EST
It's working with F8 so I'm closing the bug.

Note You need to log in before you can comment on or make changes to this bug.